CREATE TABLE bm_te_formula_history (
    ID               NUMBER(18, 0) ,
    TEMPLATE_ID      NUMBER(18, 0)     NOT NULL,
    ORDER_NUM        NUMBER(1, 0)  ,
    TYPE             NUMBER(1, 0)  ,
    DATE_ADDED       DATE          ,
    DATE_MODIFIED    DATE          ,
    GUID             VARCHAR2(1020)    NOT NULL,
    ID               NUMBER(18, 0) ,
    TEMPLATE_ID      NUMBER(18, 0)     NOT NULL,
    ORDER_NUM        NUMBER(1, 0)  ,
    TYPE             NUMBER(1, 0)  ,
    DATE_ADDED       DATE          ,
    DATE_MODIFIED    DATE          ,
    GUID             VARCHAR2(1020)    NOT NULL,
    CONSTRAINT pk_bm_te_formula_history PRIMARY KEY (ID, ID)
);
